#include <iostream>

using namespace std;

int main()
{
    long long n,m;
    cin>>n>>m;
    if(n==1)
        cout<<m;
     else
        if(m==1)
            cout<<n;
         else
            cout<<2*n+2*m-4+(n-2)*(m-2)/2;



    return 0;
}